package com.hfkj.common.exception;

/**
 * 
 * @ClassName:  ErrorCode   
 * @Description:
 * 代码code规则：	
 * 		0000-0999   系统异常 
 * 		1000-1999 app异常
 * 		2000-2999 biz异常
 * 		999999	      未知异常
 * @author: 机器猫 
 * @date:   2024年4月12日 上午11:43:30
 *     
 * @Copyright: 2024 Inc. All rights reserved.
 */
public enum ErrorCode {
	
    //////////////////sys////////////////
	DB_CONNECT_ERROR("0000","数据库连接异常"),
	FTP_CONNECT_ERROR("0001","FTP服务器连接失败"),
	FTP_CONFIG_NOT_FOUND("0002","FTP服务地址路径配置缺失"),

    //////////////////业务异常/////////////
    COMMON_ERROR("2000",""),
    REQ_PARAMS_ERROR("2001","请求参数校验失败"),
    ACCOUNT_LOGIN_EXPIRE("2002","登录账户已过期"),
    ACCOUNT_LOGIN_NOT("2003","账户未登录"),
    CONTENT_NOT_FOUND("2004","未查询到相关内容"),
    ROLE_NOT_PERMISSIONS("2005","该角色没有权限"),
    REQUEST_TIMED_OUT("2006","请求超时，请稍后重试"),
	UNKNOW_ERROR("999999","未知异常"),
	EXCEL_ERROR("80000","Excel处理异常"),
    ;//注意：上面为逗号，此次为分号


    private String code;
    private String msg;
    ErrorCode(String code, String msg){
        this.code = code;
        this.msg = msg;
    }

    public String getCode() {
        return code;
    }

//    public void setCode(String code) {
//        this.code = code;
//    }

    public String getMsg() {
        return msg;
    }

//    public void setMsg(String msg) {
//        this.msg = msg;
//    }
}
